# Class CIM_WBEMProtocolServiceCapabilities
extends CIM_ProtocolServiceCapabilities

CIM_WBEMProtocolServiceCapabilities defines the capabilities for a WBEM Protocol.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_EnabledLogicalElementCapabilities
|
+--CIM_ProtocolServiceCapabilities
|
+--CIM_WBEMProtocolServiceCapabilities

## Direct Known Subclasses

CIM_CIMXMLCapabilities
CIM_WSManagementCapabilities

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | CIM_WBEMProtocolServiceCapabilities defines the capabilities for a WBEM Protocol.
UMLPackagePath | string | CIM::Interop::WBEMProtocol
Version | string | 2.38.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
GenericOperationCapabilities | string |
Description | string | The generic operations capabilities supported. For more information on generic operations see DSP0223.
EmbeddedInstance | string | CIM_GenericOperationCapabilitiesStructure
Required | boolean | true
AuthenticationMechanismsDescriptions | string[] |
Description | string | Free-form strings providing descriptions of the supported mechanisms. Entries in this array are correlated with those in the AuthenticationMechanismsSupported array. An entry in this Descriptions array shall be provided when 1, "Other", is specified in AuthenticationMechanismsSupported.
ModelCorrespondence | string | CIM_WBEMProtocolServiceCapabilities.AuthenticationMechanismsSupported
AuthenticationMechanismsSupported | sint16[] |
Description | string | Enumerated array describing the types of authentication supported by the associated ProtocolService.
ModelCorrespondence | string | CIM_WBEMProtocolServiceCapabilities.AuthenticationMechanismsDescriptions
ValueMap | string | 0, 1, 2, 3, 4, ..
Values | string | Unknown, Other, None, Basic, Digest, DMTF Reserved
WBEMProtocolVersionsSupported | string[] |
Description | string | Includes the latest version for each major version supported. For example, 1.3.1, 2.0.0. This property shall not include multiple revisions of the same major version.
Required | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
ElementNameEditSupported | boolean | CIM_EnabledLogicalElementCapabilities
ElementNameMask | string | CIM_EnabledLogicalElementCapabilities
InstanceID | string | CIM_Capabilities
ListeningPortManagementSupported | boolean | CIM_ProtocolServiceCapabilities
MaxConnections | uint16 | CIM_ProtocolServiceCapabilities
MaxElementNameLen | uint16 | CIM_EnabledLogicalElementCapabilities
MaxListeningPorts | uint16 | CIM_ProtocolServiceCapabilities
RequestedStatesSupported | uint16[] | CIM_EnabledLogicalElementCapabilities

## Class Methods